/*
 * The Clear BSD License
 * Copyright 2017 NXP
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted (subject to the limitations in the disclaimer below) provided
 *  that the following conditions are met:
 *
 * o Redistributions of source code must retain the above copyright notice, this list
 *   of conditions and the following disclaimer.
 *
 * o Redistributions in binary form must reproduce the above copyright notice, this
 *   list of conditions and the following disclaimer in the documentation and/or
 *   other materials provided with the distribution.
 *
 * o Neither the name of the copyright holder nor the names of its
 *   contributors may be used to endorse or promote products derived from this
 *   software without specific prior written permission.
 *
 * NO EXPRESS OR IMPLIED LICENSES TO ANY PARTY'S PATENT RIGHTS ARE GRANTED BY THIS LICENSE.
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/***********************************************************************************************************************
 * Definitions
 **********************************************************************************************************************/

/*! @brief Direction type  */
typedef enum _pin_mux_direction
{
    kPIN_MUX_DirectionInput = 0U,        /* Input direction */
    kPIN_MUX_DirectionOutput = 1U,       /* Output direction */
    kPIN_MUX_DirectionInputOrOutput = 2U /* Input or output direction */
} pin_mux_direction_t;

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

/*! @name PTG7 (number 50), D4[3]/PTG7_BLUE
  @{ */
#define BOARD_INITLEDS_LED_BLUE_PERIPHERAL GPIOB        /*!<@brief Device name: GPIOB */
#define BOARD_INITLEDS_LED_BLUE_SIGNAL GPIO             /*!<@brief GPIOB signal: GPIO */
#define BOARD_INITLEDS_LED_BLUE_GPIO GPIOB              /*!<@brief GPIO device name: GPIOB */
#define BOARD_INITLEDS_LED_BLUE_GPIO_PIN 23U            /*!<@brief PORTB pin index: 23 */
#define BOARD_INITLEDS_LED_BLUE_PORT PORTG              /*!<@brief PORT device name: PORTG */
#define BOARD_INITLEDS_LED_BLUE_PIN 7U                  /*!<@brief PORTG pin index: 7 */
#define BOARD_INITLEDS_LED_BLUE_CHANNEL 23              /*!<@brief GPIOB GPIO channel: 23 */
#define BOARD_INITLEDS_LED_BLUE_PIN_NAME PTG7           /*!<@brief Pin name */
#define BOARD_INITLEDS_LED_BLUE_LABEL "D4[3]/PTG7_BLUE" /*!<@brief Label */
#define BOARD_INITLEDS_LED_BLUE_NAME "LED_BLUE"         /*!<@brief Identifier name */
                                                        /* @} */

/*! @name PTG6 (number 51), D4[4]/PTG6_GREEN
  @{ */
#define BOARD_INITLEDS_LED_GREEN_PERIPHERAL GPIOB         /*!<@brief Device name: GPIOB */
#define BOARD_INITLEDS_LED_GREEN_SIGNAL GPIO              /*!<@brief GPIOB signal: GPIO */
#define BOARD_INITLEDS_LED_GREEN_GPIO GPIOB               /*!<@brief GPIO device name: GPIOB */
#define BOARD_INITLEDS_LED_GREEN_GPIO_PIN 22U             /*!<@brief PORTB pin index: 22 */
#define BOARD_INITLEDS_LED_GREEN_PORT PORTG               /*!<@brief PORT device name: PORTG */
#define BOARD_INITLEDS_LED_GREEN_PIN 6U                   /*!<@brief PORTG pin index: 6 */
#define BOARD_INITLEDS_LED_GREEN_CHANNEL 22               /*!<@brief GPIOB GPIO channel: 22 */
#define BOARD_INITLEDS_LED_GREEN_PIN_NAME PTG6            /*!<@brief Pin name */
#define BOARD_INITLEDS_LED_GREEN_LABEL "D4[4]/PTG6_GREEN" /*!<@brief Label */
#define BOARD_INITLEDS_LED_GREEN_NAME "LED_GREEN"         /*!<@brief Identifier name */
                                                          /* @} */

/*! @name PTG5 (number 52), D4[1]/PTG5_RED
  @{ */
#define BOARD_INITLEDS_LED_RED_PERIPHERAL GPIOB       /*!<@brief Device name: GPIOB */
#define BOARD_INITLEDS_LED_RED_SIGNAL GPIO            /*!<@brief GPIOB signal: GPIO */
#define BOARD_INITLEDS_LED_RED_GPIO GPIOB             /*!<@brief GPIO device name: GPIOB */
#define BOARD_INITLEDS_LED_RED_GPIO_PIN 21U           /*!<@brief PORTB pin index: 21 */
#define BOARD_INITLEDS_LED_RED_PORT PORTG             /*!<@brief PORT device name: PORTG */
#define BOARD_INITLEDS_LED_RED_PIN 5U                 /*!<@brief PORTG pin index: 5 */
#define BOARD_INITLEDS_LED_RED_CHANNEL 21             /*!<@brief GPIOB GPIO channel: 21 */
#define BOARD_INITLEDS_LED_RED_PIN_NAME PTG5          /*!<@brief Pin name */
#define BOARD_INITLEDS_LED_RED_LABEL "D4[1]/PTG5_RED" /*!<@brief Label */
#define BOARD_INITLEDS_LED_RED_NAME "LED_RED"         /*!<@brief Identifier name */
                                                      /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitLEDs(void);

/*! @name UART1_RX (number 64), J1[3]/PTC6_RXD1/UART1_RX_TGTMCU
  @{ */
/*!
 * @brief Device name: UART1 */
#define BOARD_INITDEBUG_UART_DEBUG_UART_RX_PERIPHERAL UART1
/*!
 * @brief UART1 signal: RX */
#define BOARD_INITDEBUG_UART_DEBUG_UART_RX_SIGNAL RX
/*!
 * @brief Pin name */
#define BOARD_INITDEBUG_UART_DEBUG_UART_RX_PIN_NAME UART1_RX
/*!
 * @brief Label */
#define BOARD_INITDEBUG_UART_DEBUG_UART_RX_LABEL "J1[3]/PTC6_RXD1/UART1_RX_TGTMCU"
/*!
 * @brief Identifier name */
#define BOARD_INITDEBUG_UART_DEBUG_UART_RX_NAME "DEBUG_UART_RX"
/* @} */

/*! @name UART1_TX (number 63), J1[1]/PTC7_TXD1/UART1_TX_TGTMCU
  @{ */
/*!
 * @brief Device name: UART1 */
#define BOARD_INITDEBUG_UART_DEBUG_UART_TX_PERIPHERAL UART1
/*!
 * @brief UART1 signal: TX */
#define BOARD_INITDEBUG_UART_DEBUG_UART_TX_SIGNAL TX
/*!
 * @brief Pin name */
#define BOARD_INITDEBUG_UART_DEBUG_UART_TX_PIN_NAME UART1_TX
/*!
 * @brief Label */
#define BOARD_INITDEBUG_UART_DEBUG_UART_TX_LABEL "J1[1]/PTC7_TXD1/UART1_TX_TGTMCU"
/*!
 * @brief Identifier name */
#define BOARD_INITDEBUG_UART_DEBUG_UART_TX_NAME "DEBUG_UART_TX"
/* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitDEBUG_UART(void);

/*! @name I2C0_SCL (number 59), J2[20]/PTA3_ACCEL_SCL
  @{ */
#define BOARD_INITACCEL_ACCEL_SCL_PERIPHERAL I2C0               /*!<@brief Device name: I2C0 */
#define BOARD_INITACCEL_ACCEL_SCL_SIGNAL SCL                    /*!<@brief I2C0 signal: SCL */
#define BOARD_INITACCEL_ACCEL_SCL_PIN_NAME I2C0_SCL             /*!<@brief Pin name */
#define BOARD_INITACCEL_ACCEL_SCL_LABEL "J2[20]/PTA3_ACCEL_SCL" /*!<@brief Label */
#define BOARD_INITACCEL_ACCEL_SCL_NAME "ACCEL_SCL"              /*!<@brief Identifier name */
                                                                /* @} */

/*! @name I2C0_SDA (number 60), J2[18]/PTA2_ACCEL_SDA
  @{ */
#define BOARD_INITACCEL_ACCEL_SDA_PERIPHERAL I2C0               /*!<@brief Device name: I2C0 */
#define BOARD_INITACCEL_ACCEL_SDA_SIGNAL SDA                    /*!<@brief I2C0 signal: SDA */
#define BOARD_INITACCEL_ACCEL_SDA_PIN_NAME I2C0_SDA             /*!<@brief Pin name */
#define BOARD_INITACCEL_ACCEL_SDA_LABEL "J2[18]/PTA2_ACCEL_SDA" /*!<@brief Label */
#define BOARD_INITACCEL_ACCEL_SDA_NAME "ACCEL_SDA"              /*!<@brief Identifier name */
                                                                /* @} */

/*! @name PTD4 (number 56), PTD4_ACCEL_INT1
  @{ */
#define BOARD_INITACCEL_ACCEL_INT1_PERIPHERAL GPIOA        /*!<@brief Device name: GPIOA */
#define BOARD_INITACCEL_ACCEL_INT1_SIGNAL GPIO             /*!<@brief GPIOA signal: GPIO */
#define BOARD_INITACCEL_ACCEL_INT1_GPIO GPIOA              /*!<@brief GPIO device name: GPIOA */
#define BOARD_INITACCEL_ACCEL_INT1_GPIO_PIN 28U            /*!<@brief PORTA pin index: 28 */
#define BOARD_INITACCEL_ACCEL_INT1_PORT PORTD              /*!<@brief PORT device name: PORTD */
#define BOARD_INITACCEL_ACCEL_INT1_PIN 4U                  /*!<@brief PORTD pin index: 4 */
#define BOARD_INITACCEL_ACCEL_INT1_CHANNEL 28              /*!<@brief GPIOA GPIO channel: 28 */
#define BOARD_INITACCEL_ACCEL_INT1_PIN_NAME PTD4           /*!<@brief Pin name */
#define BOARD_INITACCEL_ACCEL_INT1_LABEL "PTD4_ACCEL_INT1" /*!<@brief Label */
#define BOARD_INITACCEL_ACCEL_INT1_NAME "ACCEL_INT1"       /*!<@brief Identifier name */
                                                           /* @} */

/*! @name PTD3 (number 57), PTD3_ACCEL_INT2
  @{ */
#define BOARD_INITACCEL_ACCEL_INT2_PERIPHERAL GPIOA        /*!<@brief Device name: GPIOA */
#define BOARD_INITACCEL_ACCEL_INT2_SIGNAL GPIO             /*!<@brief GPIOA signal: GPIO */
#define BOARD_INITACCEL_ACCEL_INT2_GPIO GPIOA              /*!<@brief GPIO device name: GPIOA */
#define BOARD_INITACCEL_ACCEL_INT2_GPIO_PIN 27U            /*!<@brief PORTA pin index: 27 */
#define BOARD_INITACCEL_ACCEL_INT2_PORT PORTD              /*!<@brief PORT device name: PORTD */
#define BOARD_INITACCEL_ACCEL_INT2_PIN 3U                  /*!<@brief PORTD pin index: 3 */
#define BOARD_INITACCEL_ACCEL_INT2_CHANNEL 27              /*!<@brief GPIOA GPIO channel: 27 */
#define BOARD_INITACCEL_ACCEL_INT2_PIN_NAME PTD3           /*!<@brief Pin name */
#define BOARD_INITACCEL_ACCEL_INT2_LABEL "PTD3_ACCEL_INT2" /*!<@brief Label */
#define BOARD_INITACCEL_ACCEL_INT2_NAME "ACCEL_INT2"       /*!<@brief Identifier name */
                                                           /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitACCEL(void);

/*! @name EXTAL (number 13), EXTAL
  @{ */
#define BOARD_INITOSC_EXTAL_PERIPHERAL OSC /*!<@brief Device name: OSC */
#define BOARD_INITOSC_EXTAL_SIGNAL EXTAL   /*!<@brief OSC signal: EXTAL */
#define BOARD_INITOSC_EXTAL_PIN_NAME EXTAL /*!<@brief Pin name */
#define BOARD_INITOSC_EXTAL_LABEL "EXTAL"  /*!<@brief Label */
#define BOARD_INITOSC_EXTAL_NAME "EXTAL"   /*!<@brief Identifier name */
                                           /* @} */

/*! @name XTAL (number 14), XTAL
  @{ */
#define BOARD_INITOSC_XTAL_PERIPHERAL OSC /*!<@brief Device name: OSC */
#define BOARD_INITOSC_XTAL_SIGNAL XTAL    /*!<@brief OSC signal: XTAL */
#define BOARD_INITOSC_XTAL_PIN_NAME XTAL  /*!<@brief Pin name */
#define BOARD_INITOSC_XTAL_LABEL "XTAL"   /*!<@brief Label */
#define BOARD_INITOSC_XTAL_NAME "XTAL"    /*!<@brief Identifier name */
                                          /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitOSC(void);

/*! @name CAN0_TX (number 6), J5[5]/U7[1]/PTE7_CONN/CAN_TX
  @{ */
#define BOARD_INITCAN_CAN_TX_PERIPHERAL MSCAN                     /*!<@brief Device name: MSCAN */
#define BOARD_INITCAN_CAN_TX_SIGNAL TX                            /*!<@brief MSCAN signal: TX */
#define BOARD_INITCAN_CAN_TX_PIN_NAME CAN0_TX                     /*!<@brief Pin name */
#define BOARD_INITCAN_CAN_TX_LABEL "J5[5]/U7[1]/PTE7_CONN/CAN_TX" /*!<@brief Label */
#define BOARD_INITCAN_CAN_TX_NAME "CAN_TX"                        /*!<@brief Identifier name */
                                                                  /* @} */

/*! @name CAN0_RX (number 7), J5[4]/U7[4]/PTH2_CONN/CAN_RX
  @{ */
#define BOARD_INITCAN_CAN_RX_PERIPHERAL MSCAN                     /*!<@brief Device name: MSCAN */
#define BOARD_INITCAN_CAN_RX_SIGNAL RX                            /*!<@brief MSCAN signal: RX */
#define BOARD_INITCAN_CAN_RX_PIN_NAME CAN0_RX                     /*!<@brief Pin name */
#define BOARD_INITCAN_CAN_RX_LABEL "J5[4]/U7[4]/PTH2_CONN/CAN_RX" /*!<@brief Label */
#define BOARD_INITCAN_CAN_RX_NAME "CAN_RX"                        /*!<@brief Identifier name */
                                                                  /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitCAN(void);

/*! @name PTB1 (number 41), J1[4]/PTB1_IRTX
  @{ */
#define BOARD_INITINFRARED_IRTX_PERIPHERAL GPIOA        /*!<@brief Device name: GPIOA */
#define BOARD_INITINFRARED_IRTX_SIGNAL GPIO             /*!<@brief GPIOA signal: GPIO */
#define BOARD_INITINFRARED_IRTX_GPIO GPIOA              /*!<@brief GPIO device name: GPIOA */
#define BOARD_INITINFRARED_IRTX_GPIO_PIN 9U             /*!<@brief PORTA pin index: 9 */
#define BOARD_INITINFRARED_IRTX_PORT PORTB              /*!<@brief PORT device name: PORTB */
#define BOARD_INITINFRARED_IRTX_PIN 1U                  /*!<@brief PORTB pin index: 1 */
#define BOARD_INITINFRARED_IRTX_CHANNEL 9               /*!<@brief GPIOA GPIO channel: 9 */
#define BOARD_INITINFRARED_IRTX_PIN_NAME PTB1           /*!<@brief Pin name */
#define BOARD_INITINFRARED_IRTX_LABEL "J1[4]/PTB1_IRTX" /*!<@brief Label */
#define BOARD_INITINFRARED_IRTX_NAME "IRTX"             /*!<@brief Identifier name */
                                                        /* @} */

/*! @name PTA1 (number 61), J1[10]/PTA1_D4_T1/PTA1_IRRX
  @{ */
#define BOARD_INITINFRARED_IRRX_PERIPHERAL GPIOA                    /*!<@brief Device name: GPIOA */
#define BOARD_INITINFRARED_IRRX_SIGNAL GPIO                         /*!<@brief GPIOA signal: GPIO */
#define BOARD_INITINFRARED_IRRX_GPIO GPIOA                          /*!<@brief GPIO device name: GPIOA */
#define BOARD_INITINFRARED_IRRX_GPIO_PIN 1U                         /*!<@brief PORTA pin index: 1 */
#define BOARD_INITINFRARED_IRRX_PORT PORTA                          /*!<@brief PORT device name: PORTA */
#define BOARD_INITINFRARED_IRRX_PIN 1U                              /*!<@brief PORTA pin index: 1 */
#define BOARD_INITINFRARED_IRRX_CHANNEL 1                           /*!<@brief GPIOA GPIO channel: 1 */
#define BOARD_INITINFRARED_IRRX_PIN_NAME PTA1                       /*!<@brief Pin name */
#define BOARD_INITINFRARED_IRRX_LABEL "J1[10]/PTA1_D4_T1/PTA1_IRRX" /*!<@brief Label */
#define BOARD_INITINFRARED_IRRX_NAME "IRRX"                         /*!<@brief Identifier name */
                                                                    /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitINFRARED(void);

/*! @name ADC0_SE12 (number 38), PTF4_THER
  @{ */
#define BOARD_INITTHER_THER_A_PERIPHERAL ADC     /*!<@brief Device name: ADC */
#define BOARD_INITTHER_THER_A_SIGNAL SE          /*!<@brief ADC signal: SE */
#define BOARD_INITTHER_THER_A_CHANNEL 12         /*!<@brief ADC SE channel: 12 */
#define BOARD_INITTHER_THER_A_PIN_NAME ADC0_SE12 /*!<@brief Pin name */
#define BOARD_INITTHER_THER_A_LABEL "PTF4_THER"  /*!<@brief Label */
#define BOARD_INITTHER_THER_A_NAME "THER_A"      /*!<@brief Identifier name */
                                                 /* @} */

/*! @name ADC0_SE13 (number 37), PTF5_THER
  @{ */
#define BOARD_INITTHER_THER_B_PERIPHERAL ADC     /*!<@brief Device name: ADC */
#define BOARD_INITTHER_THER_B_SIGNAL SE          /*!<@brief ADC signal: SE */
#define BOARD_INITTHER_THER_B_CHANNEL 13         /*!<@brief ADC SE channel: 13 */
#define BOARD_INITTHER_THER_B_PIN_NAME ADC0_SE13 /*!<@brief Pin name */
#define BOARD_INITTHER_THER_B_LABEL "PTF5_THER"  /*!<@brief Label */
#define BOARD_INITTHER_THER_B_NAME "THER_B"      /*!<@brief Identifier name */
                                                 /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitTHER(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
